/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.275 Revision 1.451
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.275 2007/05/24 18:17:45 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.451 2010/05/18 22:59:44 flameeyes Exp $
4
5 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
6 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
7 ruby-1.9.1_p376.ebuild:
8 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
9 dev.gentoo.org now.
10
11 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
12 ruby-1.9.1_p376.ebuild:
13 Use the correct RUBYLIB.
14
15*ruby-1.8.7_p249-r2 (18 May 2010)
16*ruby-1.8.6_p388-r1 (18 May 2010)
17
18 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
19 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
20 ruby-1.9.1_p376.ebuild, metadata.xml:
21 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
22 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
23 add USE flags for ncurses, readline and libedit, and properly depend on
24 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
25 Emacs versions support ruby-mode themselves and it should be even more
26 updated.
27
28*ruby-1.8.7_p249-r1 (06 May 2010)
29
30 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
31 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
32 309789 by Sune Kloppenborg Jeppesen.
33
34 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
35 ruby-1.8.7_p249.ebuild:
36 Use $PVR instead of $PV in patchset names
37
38 06 May 2010; Alex Legler <a3li@gentoo.org>
39 -files/ruby-1.8.6-memory-leak.diff,
40 -files/ruby18-mkmf-parallel-install.patch,
41 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
42 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
43 Remove old version. Cleanup in files/
44
45*ruby-1.9.1_p376 (01 May 2010)
46
47 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
48 Version bump. Fixes security bugs 296052 and 300468. No longer installs
49 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
50 instead.
51
52 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
53 -ruby-1.8.7_p174-r1.ebuild:
54 Remove vulnerable ebuilds, 300468
55
56 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
57 ruby-1.8.7_p249.ebuild:
58 amd64 stable, security bug 300468
59
60 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
61 ruby-1.8.7_p249.ebuild:
62 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
63
64 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
65 Stable for HPPA (bug #300468).
66
67 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
68 Stable for HPPA (bug #300468).
69
70 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
71 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
72
73 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
74 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
75
76 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
77 ruby-1.8.6_p388.ebuild:
78 stable x86, security bug 300468
79
80 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
81 ruby-1.8.7_p249.ebuild:
82 stable x86, security bug 300468
83
84*ruby-1.8.6_p388 (10 Jan 2010)
85
86 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
87 +ruby-1.8.6_p388.ebuild:
88 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
89 version. The new ebuild also has the fix for bug 168939.
90
91*ruby-1.8.7_p249 (10 Jan 2010)
92
93 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
94 +ruby-1.8.7_p249.ebuild:
95 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
96 version
97
98 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
99 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
100
101*ruby-1.8.7_p248 (25 Dec 2009)
102
103 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
104 Version bump
105
106 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
107 Remove old version.
108
109 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
110 Remove old version.
111
112 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
113 ia64/s390/sh stable wrt #288699
114
115 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
116 stable sparc, bug 288699
117
118 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
119 arm stable, bug #288699
120
121 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
122 amd64/x86 stable, bug #288699
123
124 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
125 ruby-1.8.7_p174-r1.ebuild:
126 Stable on alpha, bug #288699
127
128 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
129 ppc stable #288699
130
131 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
132 Stable for HPPA (bug #288699).
133
134 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
135 Marked ~hppa too.
136
137*ruby-1.8.7_p174-r1 (06 Oct 2009)
138
139 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
140 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
141 eselect-ruby cleanup feature.
142
143*ruby-1.9.1_p243 (09 Sep 2009)
144
145 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
146 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
147 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
148 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
149 -files/ruby19-rubygems-proxy.patch,
150 -files/ruby-1.9.1_p129-parallelmake.patch,
151 -files/ruby19-mkmf-parallel-install.patch:
152 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
153 168939. Cleaning up old patches.
154
155*ruby-1.8.6_p383 (20 Aug 2009)
156
157 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
158 Patchlevel bump.
159
160 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
161 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
162 ruby-1.9.1_p129-r1.ebuild:
163 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
164
165 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
166 Removing vulnerable ebuild, bug 273213.
167
168 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
169 Marking ruby-1.8.6_p369 ppc for bug 273213
170
171 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
172 ruby-1.9.1_p129-r1.ebuild:
173 Prepend our library path instead of overwriting it during src_install.
174 Thanks to the reporter of bug #274824.
175
176*ruby-1.8.7_p174 (18 Jun 2009)
177
178 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
179 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
180 Replacing 187_p173 with _p174 because of a regression. Unifying the
181 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
182 patchsets.
183
184 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
185 Marking ruby-1.8.6_p369 ppc64 for bug 273213
186
187 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
188 arm/ia64/s390/sh/sparc stable wrt #273213
189
190 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
191 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
192 Removing old version, minor cleanup
193
194 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
195 -files/ruby-1.8.6-openssl.patch,
196 -files/ruby-1.8.6-shortname_constants.patch,
197 -files/ruby-1.8.6_p111-r13657.patch,
198 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
199 Removing vulnerable old Ruby version and stale patches, bug 274108.
200
201 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
202 ruby-1.8.6_p369.ebuild:
203 Stable on alpha, bug #273213
204
205 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
206 Stable for HPPA (bug #273213).
207
208 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
209 ruby-1.8.6_p369.ebuild:
210 stable x86, security bug 273213
211
212 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
213 amd64 stable, security bug 273213.
214
215*ruby-1.8.7_p173 (10 Jun 2009)
216*ruby-1.8.6_p369 (10 Jun 2009)
217
218 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
219 +ruby-1.8.7_p173.ebuild:
220 Version bumps for bug #273213.
221
222*ruby-1.9.1_p129-r1 (27 May 2009)
223
224 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
225 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
226 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
227 +files/ruby-1.9.1_p129-parallelmake.patch:
228 Revision bump, add patches 1) to make Ruby behave more similarly between
229 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
230 extensions (undefined symbols in them will cause abort at runtime 3) to
231 remove a concurrency issue when building the dl extension that could
232 result in a broken dl.so.
233
234 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
235 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
236 Don't block rdoc-2 or later (which may enter Portage one day as it's
237 needed by some Rakefiles).
238
239 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
240 ruby-1.9.1_p129.ebuild:
241 Add ~x86-fbsd keyword.
242
243 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
244 keyword ~sparc-fbsd, bug #252315
245
246*ruby-1.9.1_p129 (15 May 2009)
247
248 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
249 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
250 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
251 included in every release.
252
253 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
254 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
255 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
256 ruby-1.8.7_p160.ebuild:
257 Removing vulnerable versions (#268515), fixing license (#233747).
258
259 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
260 Stable for HPPA (bug #268515).
261
262 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
263 Adapting rubygems notice.
264
265 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
266 amd64 stable, bug #268515.
267
268 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
269 arm/ia64/s390/sh/sparc stable wrt #268515
270
271 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
272 ruby-1.8.6_p368.ebuild:
273 stable x86, security bug 268515
274
275 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
276 ruby-1.8.6_p368.ebuild:
277 Stable on alpha, bug #268515
278
279 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
280 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
281
282*ruby-1.8.7_p160 (07 May 2009)
283*ruby-1.8.6_p368 (07 May 2009)
284
285 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
286 +ruby-1.8.7_p160.ebuild:
287 Version bump as per secbug 268515. NB: These are the first ebuilds that
288 no longer use ruby-config.
289
290*ruby-1.9.1-r1 (03 Apr 2009)
291*ruby-1.8.7_p72-r11 (03 Apr 2009)
292*ruby-1.8.6_p287-r13 (03 Apr 2009)
293
294 03 Apr 2009; Alex Legler <a3li@gentoo.org>
295 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
296 +files/ruby18-mkmf-parallel-install.patch,
297 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
298 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
299 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
300 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
301 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
302 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
303 happy.
304
305*ruby-1.9.1 (21 Mar 2009)
306
307 21 Mar 2009; Alex Legler <a3li@gentoo.org>
308 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
309 +ruby-1.9.1.ebuild:
310 Adding Ruby 1.9.1 for preliminary testing
311
312 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
313 ruby-1.8.6_p287-r12.ebuild:
314 Marked ~ppc for bug #252315.
315
316 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
317 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
318 bug 261982.
319
320 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
321 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
322 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
323 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
324 Cleanup
325
326*ruby-1.8.7_p72-r10 (07 Mar 2009)
327
328 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
329 +ruby-1.8.7_p72-r10.ebuild:
330 Add a revision of ruby 1.8.7 using eselect ruby.
331
332 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
333 ~mips keyworded, bug #252315.
334
335 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
336 ruby-1.8.6_p287-r5.ebuild:
337 ppc stable, bug #260006
338
339 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
340 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
341
342 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
343 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
344 Fixing Tk USE flag test, bug 258893.
345
346 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
347 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
348
349 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
350 ruby-1.8.6_p287-r5.ebuild:
351 amd64 stable wrt security bug #260006
352
353 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
354 Stable for HPPA (bug #260006).
355
356 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
357 ruby-1.8.6_p287-r5.ebuild:
358 Stable on alpha, bug #260006
359
360*ruby-1.8.7_p72-r2 (23 Feb 2009)
361*ruby-1.8.6_p287-r12 (23 Feb 2009)
362*ruby-1.8.6_p287-r5 (23 Feb 2009)
363
364 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
365 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
366 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
367 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
368 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
369 now before compilation if Tk useflags don't match) and 230748 (adding
370 --enable-option-checking=no for newer versions of autoconf).
371
372 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
373 arm/ia64/s390/sh/sparc stable wrt #254307
374
375 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
376 ruby-1.8.6_p287-r4.ebuild:
377 Stable on alpha, bug #254307
378
379 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
380 ruby-1.8.6_p287-r11.ebuild:
381 keyword ~x86-fbsd, bug #252315
382
383 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
384 ppc stable #254307
385
386 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
387 amd64/x86 stable, bug #254307
388
389 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
390 stable ppc64, bug 254307
391
392 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
393 Stable for HPPA (bug #254307).
394
395 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
396 ruby-1.8.6_p287-r11.ebuild:
397 Marked ~hppa (bug #252315).
398
399*ruby-1.8.6_p287-r11 (11 Jan 2009)
400
401 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
402 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
403 +ruby-1.8.6_p287-r11.ebuild:
404 Backport conditional definition of missing openssl functions from ruby 1.8.7.
405 Fixes #254307.
406
407 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
408 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
409
410 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
411 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
412
413 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
414 ruby-1.8.6_p287-r10.ebuild:
415 Add ~sparc keyword, bug #252315
416
417*ruby-1.8.6_p287-r10 (23 Dec 2008)
418
419 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
420 +ruby-1.8.6_p287-r10.ebuild:
421 Version bump which switches from ruby-config to eselect-ruby. Dropped most
422 keywords since eselect-ruby does not yet have these keywords.
423
424 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
425 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
426 Revert the ruby-config changes. We can't remove them until we provide an
427 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
428 for breaking things as mentioned in bug #251833.
429
430 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
431 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
432 ruby-1.8.7_p72-r1.ebuild:
433 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
434 Thanks for the people noticing this in bug #251833.
435
436 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
437 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
438 ruby-1.8.7_p72-r1.ebuild:
439 Drop dependency on ruby-config, which will be removed from the tree. We
440 currently only have one major version of ruby in the tree (Ruby 1.8), so there
441 is no need for ruby-config at this moment. For newer versions of Ruby we will
442 use eselect-ruby, which can be found in the ruby overlay at the moment.
443
444 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
445 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
446 Use mirror://ruby in SRC_URI, fixes #237392.
447
448 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
449 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
450 -ruby-1.8.7_p72.ebuild:
451 Remove old versions. Leave one old stable version with cjk support.
452
453*ruby-1.8.6_p287-r3 (29 Nov 2008)
454
455 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
456 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
457 +ruby-1.8.6_p287-r3.ebuild:
458 Fix our expansion limit patch according to debian bug report
459 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
460 make sure people will pick up the fixed version. Thanks to Alex Legler for
461 mentioning the patch.
462
463*ruby-1.8.7_p72-r1 (26 Nov 2008)
464*ruby-1.8.6_p287-r2 (26 Nov 2008)
465
466 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
467 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
468 +ruby-1.8.7_p72-r1.ebuild:
469 Fix problem with shortname constants #247790, already fixed in upstream SVN.
470 Thanks to Alex Legler for providing the patch.
471
472 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
473 -ruby-1.8.6_p287.ebuild:
474 Remove versions that will not become stable
475
476 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
477 ruby-1.8.6_p287-r1.ebuild:
478 ppc stable, bug #225465
479
480 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
481 ruby-1.8.6_p287-r1.ebuild:
482 amd64 stable wrt security bug #225465
483
484 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
485 alpha/ia64/x86 stable wrt #225465
486
487 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
488 ruby-1.8.6_p287-r1.ebuild:
489 Sparc stable --- Security Bug #225465 --- good since late August.
490
491 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
492 Stable on ppc64; bug #225465
493
494 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
495 Stable for HPPA (bug #225465).
496
497*ruby-1.8.6_p287-r1 (29 Aug 2008)
498
499 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
500 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
501 +ruby-1.8.6_p287-r1.ebuild:
502 Fix REXML security issues, bug #236060.
503
504 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
505 Add GLEP 56 USE flag descriptions.
506
507*ruby-1.8.7_p72 (15 Aug 2008)
508
509 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
510 +ruby-1.8.7_p72.ebuild:
511 bump 1.8.7 to latest patch release
512
513*ruby-1.8.6_p287 (11 Aug 2008)
514
515 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
516 Version bump for brown paper bag relelease.
517
518 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
519 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
520 Remove broken version in favor of the just-added 1.8.6_p286
521
522*ruby-1.8.6_p286 (10 Aug 2008)
523
524 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
525 Version bump to latest released version of ruby 1.8.6. This version fixes the
526 security issues reported in #225465 and #234224. The cjk USE flag has been
527 dropped since no compatible patches have been released yet.
528
529 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
530 ruby-1.8.6_p230.ebuild:
531 drop cjk from SRC_URI as well
532
533 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
534 Drop cjk support since the most recent oniguruma patches no longer apply to
535 this version, #230111.
536
537 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
538 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
539 Try to fix the security issues reported in #225465 for ruby 1.8.6.
540 Unfortunately the official p230 has a change which causes segmentation faults
541 for applications like Rails and RSpec, so we are reverting that specific
542 change.
543
544*ruby-1.8.7_p22 (29 Jun 2008)
545
546 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
547 +ruby-1.8.7_p22.ebuild:
548 bump 1.8.7 for security fix
549
550 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
551 nevermind, don't bump this yet
552
553*ruby-1.8.6_p230 (20 Jun 2008)
554
555 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
556 version bump
557
558*ruby-1.8.7 (10 Jun 2008)
559
560 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
561 +ruby-1.8.7.ebuild:
562 bump 1.8.7 to final
563
564*ruby-1.8.7_pre2 (21 Apr 2008)
565
566 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
567 +ruby-1.8.7_pre2.ebuild:
568 Version Bump
569
570*ruby-1.8.7_pre1 (16 Apr 2008)
571
572 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
573 Version bump. Drop cjk until a new version of oniguruma appears.
574
575 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
576 amd64 stable, bug 212264
577
578 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
579 Stable for HPPA (bug #212264).
580
581 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
582 ruby-1.8.6_p114.ebuild:
583 ppc stable, bug #212264
584
585 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
586 alpha/ia64 stable wrt #212264
587
588 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
589 ruby-1.8.6_p114.ebuild:
590 stable x86, security bug 212264
591
592 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
593 Sparc stable, Security Bug #212264, builds and installs, initial tests run
594 as expected.
595
596 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
597 Marking ruby-1.8.6_p114 ppc64 for bug 212264
598
599*ruby-1.8.6_p114 (05 Mar 2008)
600
601 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
602 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
603 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
604 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
605 Version bump for #212264. Remove old ebuilds.
606
607 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
608 alpha/ia64 stable wrt #208916
609
610 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
611 Stable on ppc wrt bug 208916
612
613 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
614 x86 stable, bug #208916
615
616 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
617 ruby-1.8.6_p111-r1.ebuild:
618 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
619
620 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
621 -files/ruby-1.8.6-exit-status.patch,
622 -files/ruby-1.8.6_p110-net-http-p111.patch,
623 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
624 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
625 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
626 Remove old versions
627
628 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
629 Stable on ppc64
630
631 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
632 Stable on amd64; bug 199191
633
634 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
635 alpha/ia64/sparc stable wrt #199191
636
637 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
638 Remove now-obsolete warning about coreutils versions, #203156.
639
640 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
641 Stable for HPPA (bug #199191).
642
643*ruby-1.8.6_p111-r1 (23 Dec 2007)
644
645 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
646 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
647 ssl USE flags. Patch to p113.
648
649 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
650 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
651
652 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
653 x86 stable, security bug #199191
654
655*ruby-1.8.6_p111 (23 Dec 2007)
656
657 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
658 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
659 Version bump with patch for bug #199191
660
661 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
662 Move dependency on (X)Emacs modes to PDEPEND.
663
664 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
665 Add back ~hppa keyword now that XEmacs support files have been keyworded,
666 bug 196413
667
668*ruby-1.8.6_p110-r2 (21 Oct 2007)
669
670 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
671 +ruby-1.8.6_p110-r2.ebuild:
672 Add emacs and xemacs USE flags and use them to pull in the correct editing
673 mode for each. Had to drop several arch keywords as reported on bug 196413.
674
675 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
676 amd64 stable, security bug 194236
677
678 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
679 ruby-1.8.6_p110-r1.ebuild:
680 Stable on ppc64; bug #194236
681
682 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
683 amd64 stable, security bug 194236
684
685 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
686 Stable for HPPA (bug #194236).
687
688 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
689 alpha/ia64/sparc stable wrt security #194236
690
691 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
692 ruby-1.8.6_p110-r1.ebuild:
693 ppc stable, bug #194236
694
695 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
696 ruby-1.8.6_p110-r1.ebuild:
697 stable x86, security bug 194236
698
699 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
700 ruby-1.8.5_p113.ebuild:
701 stable x86, security bug 194236
702
703 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
704 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
705 -ruby-1.8.6_p110.ebuild:
706 Remove old versions
707
708*ruby-1.8.6_p110-r1 (30 Sep 2007)
709*ruby-1.8.5_p113 (30 Sep 2007)
710
711 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
712 +files/ruby-1.8.5_p113-net-http-p114.patch,
713 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
714 +ruby-1.8.6_p110-r1.ebuild:
715 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
716 using 1.8.6-p110 as base ebuild.
717
718 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
719 More fixes from gentoo-dev and graaff
720
721 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
722 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
723
724*ruby-1.8.6_p110 (24 Sep 2007)
725
726 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
727 Version bump
728
729*ruby-1.8.6_p36-r4 (26 Aug 2007)
730
731 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
732 +ruby-1.8.6_p36-r4.ebuild:
733 Use user LDFLAGS, #181436
734
735 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
736 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
737 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
738 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
739
740 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
741 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
742 -ruby-1.8.6_p36-r2.ebuild:
743 Remove some older versions that will not be promoted to stable, keeping at
744 least one version of each release.
745
746 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
747 ruby-1.8.6_p36-r3.ebuild:
748 (QA) RESTRICT clean up.
749
750*ruby-1.8.6_p36-r3 (04 Jul 2007)
751
752 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
753 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
754 fixed memory leak loading .so bug #182946
755
756 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
757 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
758 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
759 ruby-1.8.6_p36-r2.ebuild:
760 (QA) RESTRICT clean up.
761
762 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
763 Re-add stable keyword for alpha as per bug #181110
764
765 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
766 Back to ~amd64 wrt bug 181110
767
768 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
769 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
770
771*ruby-1.8.6_p36-r2 (20 Jun 2007)
772
773 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
774 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
775
776*ruby-1.8.6_p36-r1 (18 Jun 2007)
777
778 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
779 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
780 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
781 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
782 spbecker
783
784 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
785 Stable on amd64 wrt bug 181110
786
787*ruby-1.8.6_p36 (12 Jun 2007)
788
789 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
790 Version Bump. Bug #181379
791
792 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
793 Stable on mips, per #181110.
794
795 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
796 Stable on ppc wrt bug 181110
797
798 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
799 Stable for HPPA (bug #181110).
800
801 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
802 alpha/ia64/x86 stable wrt #181110
803
804 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
805 Stable on sparc wrt #181110
806
807 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
808 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
4 809
5 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild, 810 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild, 811 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
7 ruby-1.8.5_p35.ebuild: 812 ruby-1.8.5_p35.ebuild:
8 Add RESTRICT="test" to ebuilds that have no hope of passing. 813 Add RESTRICT="test" to ebuilds that have no hope of passing.

Legend:
Removed from v.1.275  
changed lines
  Added in v.1.451

  ViewVC Help
Powered by ViewVC 1.1.20